// C Header File
// Created 3/3/01 7:11PM
// Updated 12/28/06

void HelpScreens();
void ShowHelpPg1();
void ShowHelpPg2();
void ShowHelpPg3();
void ShowHelpPg4();
void ShowHelpPg5();

void ShowHelpPg1()
{
 short key;
 ClearGrayScale();
	FontSetSys(F_8x10);
	WriteTextPlanes(38,4,"Laser Tank",A_NORMAL);
 FontSetSys(F_6x8);
 WriteTextPlanes(10,20,"OBJECT:",A_NORMAL);
 FontSetSys(F_4x6);
 WriteTextPlanes(55,22,"Drive your tank to the flag",A_NORMAL);
 WriteTextPlanes(10,32,"to finish each level.  Watch for antitank",A_NORMAL);
 WriteTextPlanes(10,42,"guns, they will shoot you.",A_NORMAL);
 WriteTextPlanes(10,52,"Shoot moveable blocks into the water to",A_NORMAL);
 WriteTextPlanes(10,62,"make bridges.  Shoot mirrors from",A_NORMAL);
 WriteTextPlanes(10,72,"behind to move or rotate them.",A_NORMAL);
 WriteTextPlanes(26,91,"You",A_NORMAL);
 WriteTextPlanes(124,91,"Flag",A_NORMAL);
 WriteSpritePlanes(9,3,TankRt);
 WriteSpritePlanes(9,14,Flag);
 do 
  key=GetKey();
 while (key==0);
}

void ShowHelpPg2()
{
	short key;
	ClearGrayScale();
	WriteSpritePlanes(0,1,CanonUp);
 WriteSpritePlanes(1,0,SlideMirrorUR);
 WriteSpritePlanes(1,1,RotateMirrorUR);
 WriteSpritePlanes(2,1,Tunnel);
 WriteSpritePlanes(3,1,MoveableBlock);
 WriteSpritePlanes(4,1,ImmoveableBlock);
 WriteSpritePlanes(5,1,CrystalBlock);
 WriteSpritePlanes(6,1,Water);
 WriteSpritePlanes(7,1,TankMoverRt);
 WriteSpritePlanes(8,1,Brick);
 WriteSpritePlanes(9,1,Ice);
 WriteSpritePlanes(10,1,ThinIce);
 FontSetSys(F_4x6);
 WriteTextPlanes(26,2,"Antitank (will shoot you)",A_NORMAL);
 WriteTextPlanes(26,11,"Mirrors (slide, rotate, reflect)",A_NORMAL);
 WriteTextPlanes(26,20,"Tunnel Entrance (go underground)",A_NORMAL);
 WriteTextPlanes(26,29,"Moveable Block (shoot with laser)",A_NORMAL);
 WriteTextPlanes(26,38,"Solid Block",A_NORMAL);
 WriteTextPlanes(26,47,"Crystal Block (can shoot through)",A_NORMAL);
 WriteTextPlanes(26,56,"Water (must build bridge)",A_NORMAL);
 WriteTextPlanes(26,65,"Tank Mover (take a ride)",A_NORMAL);
 WriteTextPlanes(26,74,"Brick (destroy with laser)",A_NORMAL);
 WriteTextPlanes(26,83,"Ice (everything slides)",A_NORMAL);
 WriteTextPlanes(26,92,"Thin Ice (one trip only)",A_NORMAL);
 do 
  key=GetKey();
 while (key==0);
}


void ShowHelpPg3()
{
 short key;
 FontSetSys(F_4x6);
 ClearGrayScale();
 WriteTextPlanes(116,5,"GAME",A_NORMAL);
 WriteTextPlanes(100,13,"KEY COMMANDS",A_NORMAL);
 WriteTextPlanes(10,2,"F1",A_NORMAL);
 WriteTextPlanes(25,2,"Help Screens",A_NORMAL);
 WriteTextPlanes(10,9,"F2",A_NORMAL);
 WriteTextPlanes(25,9,"Level Information",A_NORMAL);
 WriteTextPlanes(10,16,"F3",A_NORMAL);
 WriteTextPlanes(25,16,"Load Level",A_NORMAL);
 WriteTextPlanes(10,23,"F4",A_NORMAL);
 WriteTextPlanes(25,23,"Load File",A_NORMAL);
 WriteTextPlanes(10,30,"F5",A_NORMAL);
 WriteTextPlanes(25,30,"Level Editor",A_NORMAL);
 WriteTextPlanes(10,37,"F6",A_NORMAL);
 WriteTextPlanes(25,37,"About Laser Tank",A_NORMAL);
 WriteTextPlanes(10,44,"F7",A_NORMAL);
 WriteTextPlanes(25,44,"User Setup",A_NORMAL);
 WriteTextPlanes(10,51,"2nd Esc",A_NORMAL);
 WriteTextPlanes(48,51,"Quit",A_NORMAL);
 WriteTextPlanes(10,58,"2nd HOME",A_NORMAL);
 WriteTextPlanes(48,58,"Restart current level",A_NORMAL);
 WriteTextPlanes(10,65,"2nd +",A_NORMAL);
 WriteTextPlanes(48,65,"Go to next level",A_NORMAL);
 WriteTextPlanes(10,72,"2nd -",A_NORMAL);
 WriteTextPlanes(48,72,"Go to previous level",A_NORMAL);
 WriteTextPlanes(10,79,"X", A_NORMAL);
 WriteTextPlanes(48,79,"Fire laser",A_NORMAL);
 WriteTextPlanes(10,86,"\x15",A_NORMAL);
 WriteTextPlanes(48,86,"Undo moves",A_NORMAL);
 WriteTextPlanes(10,93,"[\x11 \x12 \x17 \x18]",A_NORMAL);
 WriteTextPlanes(48,93,"Drive tank",A_NORMAL);
 WriteTextPlanes(105,37,"2nd Catalog",A_NORMAL);
 WriteTextPlanes(105,44,"View Tunnel IDs",A_NORMAL);
 do 
  key=GetKey();
 while (key==0);
}

void ShowHelpPg4()
{
 short key;
 FontSetSys(F_4x6);
 ClearGrayScale();
 WriteTextPlanes(114,5,"EDITOR",A_NORMAL);
 WriteTextPlanes(100,13,"KEY COMMANDS",A_NORMAL);
 WriteTextPlanes(10,30,"F1",A_NORMAL);
 WriteTextPlanes(52,30,"Help Screens",A_NORMAL);
 WriteTextPlanes(10,37,"2nd Esc",A_NORMAL);
 WriteTextPlanes(52,37,"Exit Editor & Save",A_NORMAL);
 WriteTextPlanes(10,44,"=",A_NORMAL);
 WriteTextPlanes(52,44,"Place object",A_NORMAL);
 WriteTextPlanes(10,51,"\x7F =",A_NORMAL);
 WriteTextPlanes(52,51,"Toggle place object LOCK",A_NORMAL);
 WriteTextPlanes(10,58,"\x7F CLEAR",A_NORMAL);
 WriteTextPlanes(52,58,"Clear board",A_NORMAL);
 WriteTextPlanes(10,65,"[\x11 \x12 \x17 \x18]",A_NORMAL);
 WriteTextPlanes(52,65,"Move cursor",A_NORMAL);
 WriteTextPlanes(10,72,"\x7F [\x11 \x12 \x17 \x18]",A_NORMAL);
 WriteTextPlanes(52,72,"Move object selector",A_NORMAL);
 WriteTextPlanes(10,79,"2nd [\x17 \x18]",A_NORMAL);
 WriteTextPlanes(52,79,"Change tunnel number",A_NORMAL);
 do 
  key=GetKey();
 while (key==0);
}

void ShowHelpPg5() 
{ 
 short key; 
	FontSetSys(F_6x8); 
	ClearGrayScale(); 
 WriteTextPlanes(28,5,"Level Editor Helps",A_NORMAL); FontSetSys(F_4x6); 
 WriteTextPlanes(5,15,"Tunnels must be created in pairs. To change",A_NORMAL); 
 WriteTextPlanes(5,23,"a tunnel ID, place the flashing cursor on a",A_NORMAL); 
 WriteTextPlanes(5,31,"tunnel.  Use 2nd \x17 to increase the number,",A_NORMAL); 
 WriteTextPlanes(5,39,"and 2nd \x18 to decrease the number.",A_NORMAL); 
 WriteTextPlanes(5,47,"When closing the editor you will be given",A_NORMAL);
 WriteTextPlanes(5,55,"the opportunity to save your changes.",A_NORMAL);
 WriteTextPlanes(5,63,"If you do not save your changes the level",A_NORMAL);
 WriteTextPlanes(5,71,"will still look like what you created in the",A_NORMAL);
 WriteTextPlanes(5,79,"editor, however a restart will restore the",A_NORMAL);
 WriteTextPlanes(5,87,"level to the previously saved state.",A_NORMAL); 
 do
  key=GetKey();
 while (key==0);
}

void HelpScreens()
{ 
	ty=0;
	wid=9;
 ShowHelpPg1();
 ShowHelpPg2();
 ShowHelpPg3();
 ShowHelpPg4();	
 ShowHelpPg5();
 wid=8;
 ty=2;
 ClearGrayScale();
 DrawStatusArea();
 SetupBoard(0);
}

